<?php

namespace HyperSoft\ElectronicDocument\Validator;


final class Json {
	public function Generate($object) {
		$data_array = json_decode(json_encode($object), true);

		//limpiando todos los campos null
		function filter_me(&$array) {
			foreach ($array as $key => &$item) {
				if (is_array($item) && count($item) > 0) {
					filter_me($item);
					if (count($item) < 1)
						unset ($array[$key]);
				} else {
					if (is_array($item) || is_null($item))
						unset ($array[$key]);
				}
			}
			return $array;
		}

		$filtered_data_array = filter_me($data_array);

		return json_encode($filtered_data_array);
	}
}