<?php

class Chronometer {

	private $time_start;
	private $time = null;


	public function Stop() {
		if (isset($this->time))
			return;

		$time_end = microtime(true);

		$this->time = number_format($time_end - $this->time_start, 2, '.', '');
	}

	public function AsString() {
		$this->Stop();
		return "{$this->time} segundos";
	}

	function __construct() {
		$this->time_start = microtime(true);
		$this->time = null;
	}
}