<?php

namespace HyperSoft\ElectronicDocument\Validator;

final class ProcessProviderResult {
	const Ok = 1;
	const ErrorInDocument = 2;
	const ErrorInConnection = 3;
	const ErrorWithProvider = 4;
	const ErrorWithJson = -1;
	const ErrorHttp = 0;
}

final class ValidationErrorType {
	const UnKnow = -1;
	const None = 0;
	const Error = 1;
	const Warning = 2;
	const Suggestion = 3;
}

final class FatalErrorType {
	const None = 0;
	const NotXmlFile = 1;
	const NotWellFormed = 2;
	const NotValid = 3;
	const NotRootNode = 4;
	const NotVersion = 5;
	const NotValidVersion = 6;
	const NotSupported = 7;
	const CanNotReadFile = 8;
	const NotPrefix = 9;
}

final class SatStatusType {
	const UnKnow = 1;
	const NotFound = 2;
	const Active = 3;
	const Canceled = 4;
}
