<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<title>Facturando - Electronic Document Validador</title>
	<meta name="description" content="Archivo de ejemplo">
	<meta name="author" content="Facturando">

	<link rel="stylesheet" href="../../codigo/view/css/bootstrap.min.css">
	<link rel="stylesheet" href="../../codigo/view/css/bootstrap-theme.min.css">
	<link rel="stylesheet" href="../../codigo/view/css/ejemplo.css">

	<link rel="shortcut icon" href="../../codigo/view/images/favicon.ico" />
	<link rel="icon" href="../../codigo/view/images/favicon.png" type="image/png" />

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
	<script src="../../codigo/view/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container bs-docs-container">
	<div class="row">
		<div class="col-md-12" role="main">
			<h3 class="page-header">RESULTADO</h3>
			<?php echo Version() ?>
			<div class="bs-example" data-example-id="contextual-panels">
				<div class="panel panel-primary">
					<div class="panel-heading">
						<h3 class="panel-title"> General</h3>
					</div>
					<div class="panel-body">
						<div class="table-responsive">
							<table class="table">
								<tbody>
									<tr>
										<th scope="row" class="col-md-3">Tipo</th>
										<td class="col-md-9"><?php echo $tipo?></td>
									</tr>
									<tr>
										<th scope="row" class="col-md-3">Descripción</th>
										<td class="col-md-9"><?php echo $message1?></td>
									</tr>
									<tr>
										<th scope="row" class="col-md-3">Tiempo de ejecución</th>
										<td class="col-md-9"><?php echo $chronometer->AsString();?></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>

				<?php echo Show_FatalError($respuesta) ?>

				<?php echo Show_Archivo($respuesta) ?>

				<?php echo Show_Pdf($respuesta) ?>

				<?php echo Show_Documento($respuesta) ?>

				<?php echo Show_Emisor($respuesta) ?>

				<?php echo Show_Receptor($respuesta) ?>

				<?php echo Show_Resumen($respuesta) ?>

				<?php echo Show_Estructura($respuesta) ?>

				<?php echo Show_Sello($respuesta) ?>

				<?php echo Show_Timbre($respuesta) ?>

				<?php echo Show_Certificado($respuesta) ?>

				<?php echo Show_Totales($respuesta) ?>

				<?php echo Show_Schema($respuesta) ?>

				<?php echo Show_Lco($respuesta) ?>

				<?php echo Show_Csd($respuesta) ?>

				<?php echo Show_Lcoi($respuesta) ?>

				<?php echo Show_Sat($respuesta) ?>

				<?php echo Show_Sepomex_Emisor($respuesta) ?>

				<?php echo Show_Sepomex_Receptor($respuesta) ?>
			</div>
		</div>
	</div>
</div>
</body>
</html>